<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.CourseScheduleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.CourseSchedule">
        <id column="id_" property="id" />
        <result column="class_group_id_" property="classGroupId" />
        <result column="status_" property="status" />
        <result column="subsidy_" property="subsidy" />
        <result column="class_date_" property="classDate" />
        <result column="start_class_time_" property="startClassTime" />
        <result column="end_class_time_" property="endClassTime" />
        <result column="teacher_id_" property="teacherId" />
        <result column="actual_teacher_id_" property="actualTeacherId" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="teach_mode_" property="teachMode" />
        <result column="type_" property="type" />
        <result column="name_" property="name" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, class_group_id_, status_, subsidy_, class_date_, start_class_time_, end_class_time_, teacher_id_,
        actual_teacher_id_, create_time_, update_time_, teach_mode_,type_, name_
    </sql>

</mapper>
